mbt

1.2.27 • Public • Published

MBT logo


CircleCI Go Report Card CII Best Practices Coverage Status Beta GitHub stars dependentbot REUSE status

Description

Multi-Target Application

Before using this package, make sure that you are familiar with the multi-target application concept and terminology. For background and detailed information, see the Multi-Target Application Model guide.

The Cloud MTA Build Tool Overview

The Cloud MTA Build Tool is a standalone command-line tool that builds a deployment-ready multitarget application (MTA) archive .mtar file from the artifacts of an MTA project according to the project’s MTA development descriptor (mta.yaml file) or from module build artifacts according to the MTA deployment descriptor (mtad.yaml file). Also, it provides commands for running intermediate build process steps; for example, the mta.yaml file validations, building a single module according to the configurations in the development descriptor, generating the deployment descriptor, and so on.

For more information, see the Cloud MTA Build Tool user guide

Demo

This demo shows the basic usage of the tool. For more advanced scenarios, follow the documentation.

Install

For convenience the mbt executable is available via npmjs.com so consumers using a nodejs runtime can simply run:

It is also possible to download and "install" the mbt executable via github releases.

The Cloud MTA Build Tool Images

The Cloud MTA Build Tool published docker images on docker hub with a pre-configured set of runtime tools (nodejs/java/maven/...).

Node.js v10 and lower minor version of Node.js v11, v12, v13 /ECMAScript modules

More and more npm packages use ECMAScript modules instead of commonJS, for ECMAScript modules are the official standard format to package JavaScript code for reuse. From v1.2.25, we use axios instead of binwrap(which has moderate severity vulnerabilities) to download binary files, but axios only supports ECMAScript modules and can't work on Node.js v10 and lower minor version of Node.js v11, v12, v13. The axios can work on latest version of Node.js v11.15, v12.22, v13.14. So since v1.2.25, mbt will not support Node.js v10 and lower versions, including lower minor version of Node.js v11, v12, v13.

License

Copyright (c) 2020 SAP SE or an SAP affiliate company. All rights reserved. This file is licensed under the Apache Software License, v. 2 except as noted otherwise in the LICENSE file. Please note that Docker images can contain other software which may be licensed under different licenses. This License file is also included in the Docker image. For any usage of built Docker images please make sure to check the licenses of the artifacts contained in the images.

Contributions

Contributions are greatly appreciated. If you want to contribute, follow the guidelines.

Support

Please follow our issue template on how to report an issue.

Readme

Keywords

none

Package Sidebar

Install

npm i mbt

Weekly Downloads

22,624

Version

1.2.27

License

Apache-2.0

Unpacked Size

22.9 kB

Total Files

6

Last publish

Collaborators

  • shimit
  • cloudmtabot